Package com.sas.metadata.remote

# Interface MdRepositoryUtil

All Superinterfaces:
  `Remote`

public interface MdRepositoryUtil extends Remote
The interface defining the utility class for retrieving repository information.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CUSTOM_REPOS`
  Custom repository type
  `static final String`
  `FOUNDATION_REPOS`
  Foundation repository type
  `static final String`
  `PROJECT_REPOS`
  Project repository type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Destroy all memory allocated for object and release from RMI
  `List`
  `getDependentRepositories(String repositoryID)`
  Gets a list of any dependent repositories that may exist the specified repository.
  `String`
  `getRepositoryIDFromName(String name)`
  Get the id for a repository given the repository name
  `String`
  `getRepositoryName(String repositoryID)`
  Gets the name of a repository given its id.
  `String`
  `getRepositoryType(String repositoryID)`
  Gets the type of a repository given the repository id.
  `List`
  `getUsedByRepositories(String repositoryID)`
  Gets a list of repositories that use the specified repository.
  `boolean`
  `hasDependentRepositories(String repositoryID)`
  Returns true if the given repository has any dependent repositories
  `boolean`
  `isCustomType(String repositoryID)`
  Returns true if the repository is a Custom repository
  `boolean`
  `isDependentRepository(String repositoryID)`
  Returns true if the given repository is a dependent repository.
  `boolean`
  `isFoundationType(String repositoryID)`
  Returns true if the repository is a Foundation repository
  `boolean`
  `isProjectType(String repositoryID)`
  Returns true if the repository is a Project repository

- ## Field Details

  - ### FOUNDATION_REPOS

    static final String FOUNDATION_REPOS
    Foundation repository type
    See Also:
      - Constant Field Values

  - ### CUSTOM_REPOS

    static final String CUSTOM_REPOS
    Custom repository type
    See Also:
      - Constant Field Values

  - ### PROJECT_REPOS

    static final String PROJECT_REPOS
    Project repository type
    See Also:
      - Constant Field Values

- ## Method Details

  - ### dispose

    void dispose() throws RemoteException
    Destroy all memory allocated for object and release from RMI
    Throws:
      `RemoteException`

  - ### getRepositoryType

    String getRepositoryType(String repositoryID) throws MdException, RemoteException
    Gets the type of a repository given the repository id. Repository types returned include Foundation, Custom, or Project. A `null` is returned if the repository type cannot be found.
    Parameters:
      `repositoryID` - the repository id
    Returns:
      the type of repository
    Throws:
      `MdException`
      `RemoteException`

  - ### getRepositoryIDFromName

    String getRepositoryIDFromName(String name) throws MdException, RemoteException
    Get the id for a repository given the repository name
    Parameters:
      `name` - the name of the repository
    Returns:
      the repository id
    Throws:
      `MdException`
      `RemoteException`

  - ### getRepositoryName

    String getRepositoryName(String repositoryID) throws MdException, RemoteException
    Gets the name of a repository given its id.
    Parameters:
      `repositoryID` - the repository id
    Returns:
      the name of a the repository
    Throws:
      `MdException`
      `RemoteException`

  - ### getDependentRepositories

    List getDependentRepositories(String repositoryID) throws MdException, RemoteException
    Gets a list of any dependent repositories that may exist the specified repository.
    Parameters:
      `repositoryID` - the repository id
    Returns:
      a list of dependent repository ids
    Throws:
      `MdException`
      `RemoteException`

  - ### getUsedByRepositories

    List getUsedByRepositories(String repositoryID) throws MdException, RemoteException
    Gets a list of repositories that use the specified repository.
    Parameters:
      `repositoryID` - the repository id
    Returns:
      a list of used by repository ids
    Throws:
      `MdException`
      `RemoteException`

  - ### isDependentRepository

    boolean isDependentRepository(String repositoryID) throws MdException, RemoteException
    Returns true if the given repository is a dependent repository.
    Parameters:
      `repositoryID` - the repository id
    Returns:
      true if the repository is a dependent
    Throws:
      `MdException`
      `RemoteException`

  - ### hasDependentRepositories

    boolean hasDependentRepositories(String repositoryID) throws MdException, RemoteException
    Returns true if the given repository has any dependent repositories
    Parameters:
      `repositoryID` - the repository id
    Returns:
      true if there are dependent repositories
    Throws:
      `MdException`
      `RemoteException`

  - ### isFoundationType

    boolean isFoundationType(String repositoryID) throws MdException, RemoteException
    Returns true if the repository is a Foundation repository
    Parameters:
      `repositoryID` - the repository id
    Returns:
      true if the type is equal to Foundation, false otherwise
    Throws:
      `MdException`
      `RemoteException`

  - ### isCustomType

    boolean isCustomType(String repositoryID) throws MdException, RemoteException
    Returns true if the repository is a Custom repository
    Parameters:
      `repositoryID` - the repository id
    Returns:
      true if the type is equal to Custom, false otherwise
    Throws:
      `MdException`
      `RemoteException`

  - ### isProjectType

    boolean isProjectType(String repositoryID) throws MdException, RemoteException
    Returns true if the repository is a Project repository
    Parameters:
      `repositoryID` - the repository id
    Returns:
      true if the type is equal to Project, false otherwise
    Throws:
      `MdException`
      `RemoteException`